EMBOSS explorer

UTILS is not a valid EMBOSS application